Index: npl/system/net-tools/net_tools.SlackBuild
===================================================================
--- npl/system/net-tools/net_tools.SlackBuild	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
+++ npl/system/net-tools/net_tools.SlackBuild	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
@@ -0,0 +1,105 @@
+#!/bin/bash
+#Gebruik deze file als voorbeeld. Plaats de source tar.gz file in de zelfde directory als deze slackbuild
+#Met de NEED en DEP opties is het mogelijk om build dependencies aan te geven.
+#Voor de meeste packages hoeft er verder niks aan de variabellen veranderd te worden.
+##################################### Build dependency info:
+
+#Strict build-dependencies
+#Our package will be automaticly rebuilded if there is a major change in a DEP package.
+#(this is recommended for most dependencys)
+##DEP:linux
+##DEP:linux_src
+##DEP:openldap
+
+#Loose build-dependencies
+#The package will be installed in the buildroot during buidling, but no automatic rebuild will occur.
+#(not recommended)
+##DEP:doxygen
+
+
+#######Essential package info.
+#Change these if autodetection fails.
+
+#Name of the Syn-3 package that we are going to create
+NAME=`basename $0|sed 's/.SlackBuild//'`
+
+#Archive of the sourcefiles to unpack 
+SRC_ARC=`ls *.tar.* *.zip 2>/dev/null`
+
+#Version of the sourcefiles
+VER=`echo $SRC_ARC| sed 's/.*-//g' | sed 's/\.tar\..*$//g' | sed 's/\.zip$//g'`
+
+#Architecture that the created binaries run on.
+#Use noarch for scripts.
+ARCH=`uname -m`
+
+CWD=`pwd`
+
+mkdir /tmp/pkg
+PKG=/tmp/pkg
+#Unpack source 
+#(uncomment if not needed)
+syn3_unpack $SRC_ARC || exit 1
+
+#Directory where the sourcefiles are unpacked. 
+#(you might have to adjust this if autodetection fails)
+SRC_DIR=`ls -c|head -1`
+
+cd $SRC_DIR
+chown -R root:root .
+find . -perm 666 -exec chmod 644 {} \;
+find . -perm 664 -exec chmod 644 {} \;
+find . -perm 600 -exec chmod 644 {} \;
+find . -perm 444 -exec chmod 644 {} \;
+find . -perm 400 -exec chmod 644 {} \;
+find . -perm 440 -exec chmod 644 {} \;
+find . -perm 777 -exec chmod 755 {} \;
+find . -perm 775 -exec chmod 755 {} \;
+find . -perm 511 -exec chmod 755 {} \;
+find . -perm 711 -exec chmod 755 {} \;
+find . -perm 555 -exec chmod 755 {} \;
+
+zcat $CWD/net-tools_1.60-19.diff.gz | patch -p1 --backup --verbose || exit 1
+zcat $CWD/net-tools.diff.gz | patch -p1 --backup --verbose || exit 1
+
+mkdir -p $PKG/usr/doc/net-tools-1.60 || exit 1
+cp -a README README.ipv6 $PKG/usr/doc/net-tools-1.60 || exit 1
+chmod 644 $PKG/usr/doc/net-tools-1.60/* || exit 1
+chown root:root $PKG/usr/doc/net-tools-1.60/* || exit 1
+HAVE_IP_TOOLS=1 HAVE_MII=1 make || exit 1
+HAVE_IP_TOOLS=1 HAVE_MII=1 make hostname || exit 1
+strip --strip-unneeded ipmaddr iptunnel hostname arp ifconfig nameif rarp route netstat plipconfig slattach mii-tool || exit 1
+mkdir -p $PKG/sbin $PKG/bin $PKG/usr/sbin || exit 1
+cat arp > $PKG/sbin/arp || exit 1
+cat ifconfig > $PKG/sbin/ifconfig || exit 1
+cat rarp > $PKG/sbin/rarp || exit 1
+cat route > $PKG/sbin/route || exit 1
+cat hostname > $PKG/bin/hostname || exit 1
+cat mii-tool > $PKG/sbin/mii-tool || exit 1
+cat nameif > $PKG/sbin/nameif || exit 1
+cat netstat > $PKG/bin/netstat || exit 1
+cat plipconfig > $PKG/sbin/plipconfig || exit 1
+cat slattach > $PKG/usr/sbin/slattach || exit 1
+cat ipmaddr > $PKG/sbin/ipmaddr || exit 1
+cat iptunnel > $PKG/sbin/iptunnel || exit 1
+chmod 755 $PKG/sbin/* $PKG/bin/* $PKG/usr/sbin/* || exit 1
+cd man/en_US || exit 1
+mkdir -p $PKG/usr/man/man{1,5,8} || exit 1
+for page in dnsdomainname.1 domainname.1 hostname.1 nisdomainname.1 \
+  ypdomainname.1 ; do
+  cat $page | gzip -9c > $PKG/usr/man/man1/$page.gz
+done
+cat ethers.5 | gzip -9c > $PKG/usr/man/man5/ethers.5.gz || exit 1
+for page in arp.8 ifconfig.8 mii-tool.8 nameif.8 netstat.8 rarp.8 route.8 \
+  slattach.8 plipconfig.8 ; do
+  cat $page | gzip -9c > $PKG/usr/man/man8/$page.gz || exit 1
+done
+( cd $PKG/bin
+  ln -sf hostname dnsdomainname
+  ln -sf hostname nisdomainname
+  ln -sf hostname ypdomainname
+)
+
+cd /tmp/build
+#make main package
+syn3_makepkg /tmp/pkg $NAME $VER $ARCH || exit 1
Index: npl/system/net-tools/net_tools.arch
===================================================================
--- npl/system/net-tools/net_tools.arch	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
+++ npl/system/net-tools/net_tools.arch	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
@@ -0,0 +1,1 @@
+i586
Index: npl/system/net-tools/net_tools.md5
===================================================================
--- npl/system/net-tools/net_tools.md5	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
+++ npl/system/net-tools/net_tools.md5	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
@@ -0,0 +1,5 @@
+888774accab40217dde927e21979c165  ./net-tools-1.60.tar.bz2
+dbe71b98cd02410dbe729772ff58f8e7  ./net-tools.diff.gz
+90a536bf8382b9dd4b9fdccc1c7b8e78  ./net-tools_1.60-19.diff.gz
+6e6bccafa012f53b4362063718891147  ./net_tools.SlackBuild
+7cbe23e1f9f886f8cdec066587d8d6de  ./net_tools.pkg
Index: npl/system/net-tools/net_tools.version
===================================================================
--- npl/system/net-tools/net_tools.version	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
+++ npl/system/net-tools/net_tools.version	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
@@ -0,0 +1,1 @@
+1.60
Index: npl/system/openssl/openssl.SlackBuild
===================================================================
--- npl/system/openssl/openssl.SlackBuild	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
+++ npl/system/openssl/openssl.SlackBuild	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
@@ -1,12 +1,10 @@
 #!/bin/bash
 #
-# Automaticly created by importpackage v1.0
-# Imported from: https://mirrors.slackware.com/slackware/slackware-14.2/patches/source/openssl/
-# Created at Thu Sep 20 18:27:22 CEST 2018
+# Automaticly created by importpackage
+# Imported from: http://mirrors.slackware.com/slackware/slackware-current/source/n/openssl/
+# Created at Wed Jun 24 22:08:47 CEST 2015
 
-#DEP:zlib
+export MAKEFLAGS=-j1
 removepkg openssl
-export MAKEFLAGS=
-
 
 ########### source original slackbuild (hopefully we dont need to modify it)
@@ -19,5 +17,5 @@
 cd $CWD
 for PKG in /tmp/package-*; do
-        NAME=`echo $PKG| sed 's/.*package-//'| sed 's/-/_/g'`
+        NAME=`echo $PKG| sed 's/.*package-//'| sed 's/-/_/'`
 
         #seperate dev-package
Index: npl/system/openssl/openssl.SlackBuild.orig
===================================================================
--- npl/system/openssl/openssl.SlackBuild.orig	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
+++ npl/system/openssl/openssl.SlackBuild.orig	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
@@ -3,5 +3,5 @@
 # Copyright 2000 BSDi, Inc. Concord, CA, USA
 # Copyright 2001, 2002 Slackware Linux, Inc.  Concord, CA, USA
-# Copyright 2005, 2006, 2007, 2008, 2009, 2010, 2011, 2012, 2013, 2014, 2015  Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2005, 2006, 2007, 2008, 2009, 2010, 2011, 2012, 2013, 2014  Patrick J. Volkerding, Sebeka, MN, USA
 # All rights reserved.
 #
@@ -29,5 +29,5 @@
 
 VERSION=${VERSION:-$(echo openssl-*.tar.gz | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-1_slack14.2}
+BUILD=${BUILD:-1}
 
 # Automatically determine the architecture we're building on:
@@ -48,4 +48,5 @@
 # Parallel build doesn't link properly.
 #NUMJOBS=${NUMJOBS:--j6}
+NUMJOBS=-j1
 
 # So that ls has the right field counts for parsing...
@@ -62,13 +63,8 @@
 
 # Use .so.1, not .so.1.0.0:
-sed -i "s/soname=\$\$SHLIB\$\$SHLIB_SOVER\$\$SHLIB_SUFFIX/soname=\$\$SHLIB.1/g" Makefile.shared
-
+zcat $CWD/openssl.soname.diff.gz | patch -p1 --backup --verbose --suffix=.orig || exit 1
 if [ "$ARCH" = "i586" ]; then
   # Build with -march=i586 -mtune=i686:
-  sed -i "/linux-elf/s/fomit-frame-pointer/fomit-frame-pointer -march=i586 -mtune=i686/g" Configure
-  LIBDIRSUFFIX=""
-elif [ "$ARCH" = "i686" ]; then
-  # Build with -march=i686 -mtune=i686:
-  sed -i "/linux-elf/s/fomit-frame-pointer/fomit-frame-pointer -march=i686 -mtune=i686/g" Configure
+  zcat $CWD/openssl.optsx86.diff.gz | patch -p1 --backup --verbose --suffix=.orig || exit 1
   LIBDIRSUFFIX=""
 elif [ "$ARCH" = "x86_64" ]; then
@@ -81,7 +77,7 @@
 # what they were compiled against, whether or not the ABI has changed.
 #
-# So, we will use the OPENSSL_VERSION_NUMBER from openssl-1.0.2e unless ABI
+# So, we will use the OPENSSL_VERSION_NUMBER from openssl-1.0.1c unless ABI
 # breakage forces it to change.  Yes, we're finally using this old trick.  :)
-sed -i "s/#define OPENSSL_VERSION_NUMBER.*/\/* Use 0x1000205fL (1.0.2e) below to avoid pointlessly breaking the ABI *\/\n#define OPENSSL_VERSION_NUMBER 0x1000205fL/g" crypto/opensslv.h || exit 1
+sed -i "s/#define OPENSSL_VERSION_NUMBER.*/\/* Use 0x1000103fL (1.0.1c) below to avoid pointlessly breaking the ABI *\/\n#define OPENSSL_VERSION_NUMBER 0x1000103fL/g" crypto/opensslv.h || exit 1
 
 chown -R root:root .
@@ -102,26 +98,19 @@
 # These are the known patent issues with OpenSSL:
 # name   #         expires
-# MDC-2: 4,908,861  2007-03-13, not included.
+# MDC-2: 4,908,861  2007-03-13, included.  :-)
 # IDEA:  5,214,703  2010-05-25, not included.
 # RC5:   5,724,428  2015-03-03, not included.
-#
-# Although all of the above are expired, it's still probably
-# not a good idea to include them as there are better
-# algorithms to use.
 
 ./config \
  --prefix=/usr \
  --openssldir=/etc/ssl \
- no-mdc2 \
  no-idea \
  no-rc5 \
  no-sse2 \
- no-ssl2 \
- no-weak-ssl-ciphers \
  shared
 
-make $NUMJOBS depend || make depend || exit 1
-
-make $NUMJOBS || make || exit 1
+make $NUMJOBS depend || make -j1  depend || exit 1
+
+make $NUMJOBS || make -j 1 || exit 1
 
 make install INSTALL_PREFIX=$PKG1 || exit 1
Index: npl/system/openssl/openssl.md5
===================================================================
--- npl/system/openssl/openssl.md5	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
+++ npl/system/openssl/openssl.md5	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
@@ -2,13 +2,14 @@
 1e6908ae51dcc3d1d9d5be0bad6bf803  ./doinst.sh-openssl.gz
 24389791b9e637dff90b350d9ba0e028  ./doinst.sh-openssl-solibs.gz
-ac5eb30bf5798aa14b1ae6d0e7da58df  ./openssl-1.0.2p.tar.gz
-e073c84204737d8dbe7e215ec4cf5675  ./openssl-1.0.2p.tar.gz.asc
-53ef4539cf1da46f143c0047ded1b456  ./openssl_dev.pkg
-cb0381ad1e0019e026ec2d2af787dc4f  ./openssl.pkg
-1497189dd82fcdee2494ade82d1dace2  ./openssl.SlackBuild
-f38133feb4a88530901cfe444467e599  ./openssl.SlackBuild.log.gz
-2f4423db46cb18a800b92d53dd178e94  ./openssl.SlackBuild.orig
-2684155c90c28c98c3ed853a343a5076  ./ossllibs_dev.pkg
-8508555848013ba37b2466f24c2101a8  ./ossllibs.pkg
+130bb19745db2a5a09f22ccbbf7e69d0  ./openssl-1.0.1u.tar.gz
+696ff921e8d4ea2a2ab0105f95eb14a1  ./openssl_dev.pkg
+70d9c041f5c7de50bf5427b7366936f3  ./openssl.optsx86.diff.gz
+103544fe5a3d9606bccdcec53137e449  ./openssl.pkg
+66f195b9f817484bd708cb1c71ea7b51  ./openssl.SlackBuild
+32df63a8e8907c3d0ff387833bc07b17  ./openssl.SlackBuild.log.gz
+5e1eaffc28a65b9108e30e8aed1ed981  ./openssl.SlackBuild.orig
+b3303a5b0c4d92f810ad5676d9d59563  ./openssl.soname.diff.gz
+eee205b1466225d1f33a483e83e6e62b  ./ossllibs_dev.pkg
+003f995b9c404708a03d69118b1ebf01  ./ossllibs.pkg
 c179fc570282afc12c3a6eee101ced0d  ./slack-desc.openssl
 4b7562095ddf28453d54af0ad455a9a5  ./slack-desc.openssl-solibs
Index: npl/system/openssl/openssl.version
===================================================================
--- npl/system/openssl/openssl.version	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
+++ npl/system/openssl/openssl.version	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
@@ -1,1 +1,1 @@
-1.0.2p
+1.0.1u
Index: npl/system/openssl/openssl_dev.version
===================================================================
--- npl/system/openssl/openssl_dev.version	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
+++ npl/system/openssl/openssl_dev.version	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
@@ -1,1 +1,1 @@
-1.0.2p
+1.0.1u
Index: npl/system/openssl/ossllibs.version
===================================================================
--- npl/system/openssl/ossllibs.version	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
+++ npl/system/openssl/ossllibs.version	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
@@ -1,1 +1,1 @@
-1.0.2p
+1.0.1u
Index: npl/system/openssl/ossllibs_dev.version
===================================================================
--- npl/system/openssl/ossllibs_dev.version	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
+++ npl/system/openssl/ossllibs_dev.version	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
@@ -1,1 +1,1 @@
-1.0.2p
+1.0.1u
Index: npl/system/xtables_addons/xtables_addons.SlackBuild
===================================================================
--- npl/system/xtables_addons/xtables_addons.SlackBuild	(revision 26ffad77000ead3839f0b4ca05a51545ff3ac867)
+++ npl/system/xtables_addons/xtables_addons.SlackBuild	(revision c5c522c7ca74a4c1725ca5e3fe0bdcadff80e49a)
@@ -2,8 +2,8 @@
 #NEED:linux_src
 #NEED:linux
-#DEP:iptables
+#NEED:iptables
 NAME=xtables_addons
 SRCFILE=xtables-addons
-VER=3.2
+VER=1.21
 CWD=`pwd`
 PKGTMP=/tmp/pkgtmp
@@ -11,5 +11,5 @@
 mkdir -p $PKGTMP &>/dev/null
 
-tar -xf $SRCFILE-$VER.tar.xz || exit 1
+tar -xjf $SRCFILE-$VER.tar.bz2 || exit 1
 cd $SRCFILE-$VER || exit 1
 
